Option Strict Off
Option Explicit On
Imports System.Linq
Imports System.Collections.Generic
Namespace Waves
   Public Class objPicture
   Public objects As New Collection
   ' Draw the picture on the PictureBox.
   Sub Draw(ByVal canvas As System.Windows.Forms.PictureBox,Optional ByVal r As Integer = 0)

      For Each obj As ObjGrid3D In objects
         obj.Draw(canvas,r)
      Next
   End Sub
   '' Apply a transformation matrix which may not
   '' contain 0, 0, 0, 1 in the last column to the
   '' objects.
   Sub ApplyFull(ByVal M(,) As Single)

      For Each obj As ObjGrid3D In objects
         obj.ApplyFull(M)
      Next
   End Sub
   '' Apply a transformation matrix to the objects.
   Sub Apply(ByVal M(,) As Single)

      For Each obj As ObjGrid3D In objects
         obj.Apply(M)
      Next
   End Sub
   End Class
End Namespace
